Subject: Re: [bug#49383] [PATCH 00/21] Add hyperfine

From: Xinglu Chen <[email-masked]>
Date: Sun, 11 Jul 2021 11:26:24 +0200

On Sun, Jul 04 2021, Domagoj Stolfa wrote:

> Hyperfine is a rust utility used for benchmarking, see:
> https://github.com/sharkdp/hyperfine.
>
> This patch series packages hyperfine in Guix, and each patch is adding the
> necessary dependencies for hyperfine to build.
>
> I've tested 5 rounds of building hyperfine and everything seems to be in order
> and have been using it locally.
>
> Domagoj Stolfa (21):
>   gnu: Add hyperfine.
>   gnu: Add rust-colored-2
>   gnu: Add rust-rust-decimal-1
>   gnu: Add rust-statistical-1
>   gnu: Add rust-postgres-0.19
>   gnu: Add rust-tokio-postgres-0.7
>   gnu: Add rust-postgres-protocol-0.6
>   gnu: Add rust-postgres-types-0.2
>   gnu: Add rust-socket2-0.4
>   gnu: Add rust-hmac-0.11
>   gnu: Add rust-crypto-mac-0.11
>   gnu: Add rust-cipher-0.3
>   gnu: Add rust-streebog-0.9
>   gnu: Add rust-hmac-0.10
>   gnu: Add rust-bit-vec-0.6
>   gnu: Add rust-eui48-0.4
>   gnu: Add rust-geo-types-0.7
>   gnu: Add rust-geo-types-0.6
>   gnu: Add rust-rstar-0.8
>   gnu: Add rust-postgres-derive-0.4
>   gnu: Add rust-pdqselect-0.1

Ideally, the patches should be in the reverse order, so that the
dependencies of ‘hyperfine’ gets added before ‘hyperfine’ itself gets
added.

A more general suggestion after reviewing the patches is to run ‘guix
lint’ after adding new packages, it will often catch a lot of the
common mistakes people make; don’t just rely on the importer to do
everything.

I didn’t build any of the packages as I was building GHC while reviewing
the packages, hopefully I will get to that.  :)